/*
 * Copyright (c) 2021 RidgeRun, LLC.
 * GPL-v2 License
 * Adapted by: Luis Leon <luis.leon@ridgerun.com>
 */

#ifndef __GST_CUDA_PASSTHRU_H__
#define __GST_CUDA_PASSTHRU_H__

#include <gst/video/gstvideofilter.h>
#include <gst/video/video.h>

G_BEGIN_DECLS
#define GST_TYPE_CUDA_PASSTHRU (gst_cuda_passthru_get_type())
G_DECLARE_FINAL_TYPE (GstCudaPassThru, gst_cuda_passthru, GST, CUDA_PASSTHRU,
    GstVideoFilter)

G_END_DECLS
#endif                          /* __GST_CUDA_PASSTHRU_H__ */
